<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="1dca4622-5ba9-4e5e-b468-9e19163c7228" name="Default Changelist" comment="" />
    <ignored path="$PROJECT_DIR$/.tmp/" />
    <ignored path="$PROJECT_DIR$/temp/" />
    <ignored path="$PROJECT_DIR$/tmp/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FUSProjectUsageTrigger">
    <session id="-1629252878">
      <usages-collector id="statistics.lifecycle.project">
        <counts>
          <entry key="project.open.time.3" value="1" />
          <entry key="project.open.time.83" value="2" />
          <entry key="project.opened" value="3" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.extensions.open">
        <counts>
          <entry key="css" value="2" />
          <entry key="html" value="6" />
          <entry key="js" value="9" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.types.open">
        <counts>
          <entry key="CSS" value="2" />
          <entry key="HTML" value="6" />
          <entry key="JavaScript" value="9" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.extensions.edit">
        <counts>
          <entry key="html" value="2711" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.types.edit">
        <counts>
          <entry key="HTML" value="2711" />
        </counts>
      </usages-collector>
    </session>
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/lang_table.html">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="54">
              <caret line="3" column="26" selection-start-line="3" selection-start-column="26" selection-end-line="3" selection-end-column="26" />
              <folding>
                <element signature="n#div#0;n#body#0;n#html#0;n#!!top" />
                <element signature="n#script#7;n#body#0;n#html#0;n#!!top" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/index.html">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="650">
              <caret line="479" selection-start-line="479" selection-end-line="479" />
              <folding>
                <element signature="n#div#1;n#div#0;n#body#0;n#html#0;n#!!top" />
                <element signature="n#div#2;n#div#0;n#body#0;n#html#0;n#!!top" />
                <element signature="n#div#1;n#section#0;n#div#2;n#div#0;n#body#0;n#html#0;n#!!top" />
                <element signature="n#section#9;n#div#2;n#div#0;n#body#0;n#html#0;n#!!top" />
                <element signature="e#7768#10186#0" />
                <element signature="e#4#10#0" expanded="true" />
                <element signature="e#10#16#0" expanded="true" />
                <element signature="e#16#22#0" expanded="true" />
                <element signature="e#4#10#0" expanded="true" />
                <element signature="e#10#16#0" expanded="true" />
                <element signature="e#16#22#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/add_lang_area.html">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="664">
              <caret line="46" column="1" selection-start-line="46" selection-start-column="1" selection-end-line="65" selection-end-column="5" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/index.back.html">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="18">
              <caret line="36" column="28" selection-start-line="36" selection-start-column="28" selection-end-line="36" selection-end-column="28" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/login.html">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="394">
              <caret line="196" column="3" selection-start-line="196" selection-start-column="3" selection-end-line="196" selection-end-column="3" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/js/jqhttpsdk.js">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="-630">
              <caret line="7" column="40" lean-forward="true" selection-start-line="7" selection-start-column="40" selection-end-line="7" selection-end-column="40" />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="JavaScript File" />
      </list>
    </option>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>fa-edit</find>
      <find>edit</find>
      <find>json.p</find>
      <find>lang_key_edit</find>
      <find>pag</find>
      <find>$.cookie</find>
    </findStrings>
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/lang_table.html" />
        <option value="$PROJECT_DIR$/add_lang_area.html" />
        <option value="$PROJECT_DIR$/js/pages.js" />
        <option value="$PROJECT_DIR$/login.html" />
        <option value="$PROJECT_DIR$/js/jqhttpsdk.js" />
        <option value="$PROJECT_DIR$/index.html" />
      </list>
    </option>
  </component>
  <component name="JsBuildToolGruntFileManager" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsBuildToolPackageJson" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsGulpfileManager">
    <detection-done>true</detection-done>
    <sorting>DEFINITION_ORDER</sorting>
  </component>
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="x" value="50" />
    <option name="y" value="118" />
    <option name="width" value="1523" />
    <option name="height" value="795" />
  </component>
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="web" type="b2602c69:ProjectViewProjectNode" />
              <item name="web" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="web" type="b2602c69:ProjectViewProjectNode" />
              <item name="web" type="462c0819:PsiDirectoryNode" />
              <item name="css" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="web" type="b2602c69:ProjectViewProjectNode" />
              <item name="web" type="462c0819:PsiDirectoryNode" />
              <item name="js" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="Scope" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
    <property name="nodejs_interpreter_path.stuck_in_default_project" value="undefined stuck path" />
    <property name="nodejs_npm_path_reset_for_default_project" value="true" />
  </component>
  <component name="RecentsManager">
    <key name="MoveFile.RECENT_KEYS">
      <recent name="D:\Code\langer\web\css" />
    </key>
    <key name="CopyFile.RECENT_KEYS">
      <recent name="D:\Code\langer\web\js" />
      <recent name="D:\Code\langer\web" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="1dca4622-5ba9-4e5e-b468-9e19163c7228" name="Default Changelist" comment="" />
      <created>1559787918021</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1559787918021</updated>
      <workItem from="1559787920588" duration="17759000" />
      <workItem from="1560128258590" duration="19592000" />
      <workItem from="1560213310227" duration="5187000" />
    </task>
    <servers />
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="42538000" />
  </component>
  <component name="ToolWindowManager">
    <frame x="-8" y="-8" width="1616" height="886" extended-state="6" />
    <editor active="true" />
    <layout>
      <window_info active="true" content_ui="combo" id="Project" order="0" visible="true" weight="0.126109" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info id="Favorites" order="2" side_tool="true" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" weight="0.32934928" />
      <window_info anchor="bottom" id="Run" order="2" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.4" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="bottom" id="Docker" order="7" show_stripe_button="false" />
      <window_info anchor="bottom" id="Version Control" order="8" show_stripe_button="false" />
      <window_info anchor="bottom" id="Terminal" order="9" weight="0.32911393" />
      <window_info anchor="bottom" id="Event Log" order="10" side_tool="true" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
    </layout>
    <layout-to-restore>
      <window_info id="Favorites" order="0" side_tool="true" />
      <window_info active="true" content_ui="combo" id="Project" order="1" visible="true" weight="0.17415215" />
      <window_info id="Structure" order="2" side_tool="true" weight="0.25" />
      <window_info anchor="bottom" id="Docker" order="0" show_stripe_button="false" />
      <window_info anchor="bottom" id="Terminal" order="1" />
      <window_info anchor="bottom" id="Event Log" order="2" side_tool="true" />
      <window_info anchor="bottom" id="Version Control" order="3" show_stripe_button="false" />
      <window_info anchor="bottom" id="Message" order="4" />
      <window_info anchor="bottom" id="Find" order="5" />
      <window_info anchor="bottom" id="Run" order="6" />
      <window_info anchor="bottom" id="Debug" order="7" weight="0.4" />
      <window_info anchor="bottom" id="Cvs" order="8" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="9" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="10" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
    </layout-to-restore>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="VcsContentAnnotationSettings">
    <option name="myLimit" value="2678400000" />
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/js/bootstrap-paginator.js" />
    <entry file="file://$PROJECT_DIR$/js/paginathing.min.js" />
    <entry file="file://$PROJECT_DIR$/js/jquery.pagination-1.2.7.min.js" />
    <entry file="file://$PROJECT_DIR$/css/pager.css" />
    <entry file="file://$PROJECT_DIR$/js/pages.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="288">
          <caret line="16" column="240" lean-forward="true" selection-start-line="16" selection-start-column="240" selection-end-line="16" selection-end-column="240" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/css/normalize.css">
      <provider selected="true" editor-type-id="text-editor">
        <state>
          <caret column="1551" lean-forward="true" selection-start-column="1551" selection-end-column="1551" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/add_lang_area.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="664">
          <caret line="46" column="1" selection-start-line="46" selection-start-column="1" selection-end-line="65" selection-end-column="5" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lang_table.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="54">
          <caret line="3" column="26" selection-start-line="3" selection-start-column="26" selection-end-line="3" selection-end-column="26" />
          <folding>
            <element signature="n#div#0;n#body#0;n#html#0;n#!!top" />
            <element signature="n#script#7;n#body#0;n#html#0;n#!!top" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/js/jqhttpsdk.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-630">
          <caret line="7" column="40" lean-forward="true" selection-start-line="7" selection-start-column="40" selection-end-line="7" selection-end-column="40" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/login.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="394">
          <caret line="196" column="3" selection-start-line="196" selection-start-column="3" selection-end-line="196" selection-end-column="3" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/index.back.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="18">
          <caret line="36" column="28" selection-start-line="36" selection-start-column="28" selection-end-line="36" selection-end-column="28" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/index.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="650">
          <caret line="479" selection-start-line="479" selection-end-line="479" />
          <folding>
            <element signature="n#div#1;n#div#0;n#body#0;n#html#0;n#!!top" />
            <element signature="n#div#2;n#div#0;n#body#0;n#html#0;n#!!top" />
            <element signature="n#div#1;n#section#0;n#div#2;n#div#0;n#body#0;n#html#0;n#!!top" />
            <element signature="n#section#9;n#div#2;n#div#0;n#body#0;n#html#0;n#!!top" />
            <element signature="e#7768#10186#0" />
            <element signature="e#4#10#0" expanded="true" />
            <element signature="e#10#16#0" expanded="true" />
            <element signature="e#16#22#0" expanded="true" />
            <element signature="e#4#10#0" expanded="true" />
            <element signature="e#10#16#0" expanded="true" />
            <element signature="e#16#22#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
  </component>
</project>